unit Unit9;

{$mode delphi}

interface

uses
Classes, SysUtils, FileUtil, BGRAButton, Forms, Controls, Graphics, Dialogs,
StdCtrls, IniPropStorage;

type

{ TForm5 }

TForm5 = class(TForm)
     ColorDialog1: TColorDialog;
     WindowColor1: TBGRAButton;
     EncaseCB1: TCheckBox;
     GroupBoxTitle1: TEdit;
     GroupBoxTitle2: TEdit;
     GroupBoxTitle3: TEdit;
     GroupBoxTitle4: TEdit;
     GroupBoxTitle5: TEdit;
     GroupBoxTitleCB2: TCheckBox;
     GroupBoxTitleCB3: TCheckBox;
     GroupBoxTitleCB4: TCheckBox;
     GroupBoxTitleCB5: TCheckBox;
     IniPropStorage1: TIniPropStorage;
     Label10: TLabel;
     Label11: TLabel;
     Label12: TLabel;
     Label13: TLabel;
     GroupBox2LBL1: TLabel;
     GroupBox3LBL1: TLabel;
     GroupBox4LBL1: TLabel;
     EncaseResultLBL1: TLabel;
     GroupBox5LBL1: TLabel;
     Label3: TLabel;
     Label8: TLabel;
     Label9: TLabel;
     ParamsClose1: TBGRAButton;
     DefaltWindowColor1: TBGRAButton;

     procedure DefaltWindowColor1Click(Sender: TObject);
     procedure FormActivate(Sender: TObject);
     procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
     procedure FormCloseQuery(Sender: TObject; var CanClose: boolean);
     procedure FormCreate(Sender: TObject);
     procedure GroupBoxTitle1Change(Sender: TObject);
     procedure GroupBoxTitle2Change(Sender: TObject);
     procedure GroupBoxTitle3Change(Sender: TObject);
     procedure GroupBoxTitle4Change(Sender: TObject);
     procedure GroupBoxTitle5Change(Sender: TObject);
     procedure GroupBoxTitleCB2Change(Sender: TObject);
     procedure GroupBoxTitleCB3Change(Sender: TObject);
     procedure GroupBoxTitleCB4Change(Sender: TObject);
     procedure GroupBoxTitleCB5Change(Sender: TObject);
     procedure EncaseResultLBL1Click(Sender: TObject);
     procedure ParamsClose1Click(Sender: TObject);
     procedure WindowColor1Click(Sender: TObject);
     private
     { private declarations }
     public
     { public declarations }
end;

var
Form5: TForm5;
       EncryptPasswordSw: boolean = False;

implementation

{$R *.frm}
uses MsgBxDlgUnit1, Unit1;

{ TForm5 }

//FormCreate
procedure TForm5.FormCreate(Sender: TObject);
begin
     IniPropStorage1.Restore;  // moved to form1 create
end;

//GroupBoxTitle1 change
procedure TForm5.GroupBoxTitle1Change(Sender: TObject);
begin
     Form1.GroupBox1.Caption := GroupBoxTitle1.Text;
end;

//GroupBoxTitle2 change
procedure TForm5.GroupBoxTitle2Change(Sender: TObject);
begin
     Form1.GroupBox2.Caption := GroupBoxTitle2.Text;
end;

//GroupBoxTitle3 change
procedure TForm5.GroupBoxTitle3Change(Sender: TObject);
begin
     Form1.GroupBox3.Caption := GroupBoxTitle3.Text;
end;

//GroupBoxTitle4 change
procedure TForm5.GroupBoxTitle4Change(Sender: TObject);
begin
     Form1.GroupBox4.Caption := GroupBoxTitle4.Text;
end;

//GroupBoxTitle5 change
procedure TForm5.GroupBoxTitle5Change(Sender: TObject);
begin
     Form1.GroupBox5.Caption := GroupBoxTitle5.Text;
end;

//EncaseResultLBL1 click
procedure TForm5.EncaseResultLBL1Click(Sender: TObject);
begin
     if EncaseCB1.Checked = True then
        EncaseCB1.Checked := False
        else
        EncaseCB1.Checked := True;
end;

//GroupBox TitleCB2 Change
procedure TForm5.GroupBoxTitleCB2Change(Sender: TObject);
begin
     if GroupBoxTitleCB2.Checked = True then
        Form1.GroupBox2.Visible := True
        else
        Form1.GroupBox2.Visible := False;
end;

//GroupBox TitleCB2 Change
procedure TForm5.GroupBoxTitleCB3Change(Sender: TObject);
begin
     if GroupBoxTitleCB3.Checked = True then
        Form1.GroupBox3.Visible := True
        else
        Form1.GroupBox3.Visible := False;
end;

//GroupBox TitleCB2 Change
procedure TForm5.GroupBoxTitleCB4Change(Sender: TObject);
begin
     if GroupBoxTitleCB4.Checked = True then
        Form1.GroupBox4.Visible := True
        else
        Form1.GroupBox4.Visible := False;
end;

//GroupBox TitleCB2 Change
procedure TForm5.GroupBoxTitleCB5Change(Sender: TObject);
begin
     if GroupBoxTitleCB5.Checked = True then
        Form1.GroupBox5.Visible := True
        else
        Form1.GroupBox5.Visible := False;
end;

//FormCloseQuery
procedure TForm5.FormCloseQuery(Sender: TObject; var CanClose: boolean);
begin
     IniPropStorage1.Save;
end;

//Defalt Window Color
procedure TForm5.DefaltWindowColor1Click(Sender: TObject);
begin
     Form1.Memo1.Color := $00E3F2F4;
end;

procedure TForm5.FormActivate(Sender: TObject);
begin
//     EncryptPassword1.OnChange := EncryptPassword1Change;
end;

//close
procedure TForm5.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
//     EncryptPassword1.OnChange := nil;
end;

//Close button
procedure TForm5.ParamsClose1Click(Sender: TObject);
begin
     Close;
end;

//Window Color
procedure TForm5.WindowColor1Click(Sender: TObject);
begin
     if ColorDialog1.Execute then
        Form1.Memo1.Color := ColorDialog1.Color;
end;

end.

