//**********************************************************************************************************
//Instuctions:

// Note: if using in OnActivate, must first: Application.CreateForm(TMsgBxDlg1, MsgBxDlg1);
//Change warning message
//MsgBxDlg1.CentralMsgBxLabelLabelWarning.Caption := 'Setup mixnym';

//Force Show checkbox to checked
//MsgBxDlg1.Show1Checked := True;

//Place MsgBxDlgUnit1 in uses
//Copy MsgBxDlgUnit1.pas and MsgBxDlgUnit1.dfm (not MsgBxDlgUnit1.dcu) to needed folder.
//Go to IDE menu item 'Project'/'Add to project' and add MsgBxDlgUnit1

// ClearMsgBxMaskEdit := False;      //place in calling pgm to prevent MsgBxDlg1.ClearMsgBxMaskEdit from clearing
// MsgBxDlg1.MsgBxMaskEdit1.PasswordChar := Char(nil);  //or Char('*')
// MsgBxDlg1.ModalResult := 0;  //do this after mrOK/mrCancel test in main program to reset ModalResult if placed in timer

// Button captions
// MsgBxDlg1.ButtonParams('OKK', 'Cancel It');  //change button caption param
//Message box background and font colors:
// MsgBxDlg1.MsgBoxParams(clYellow, clRed);  //change msg box param (1=bkg, 2=font color)

//'C>Message...' = do not wrap
//'C*Message...' = center msg

// MsgBxDlg1.CentralMessagesRtn(1, 'Message...');  // 1 = OK;  2 = OK/Cancel;  21 = OK/Cancel MsgBox
// MsgBxDlg1.CentralMessagesRtn(2, 'Message...');  // 2 = OK/Cancel;
// MsgBxDlg1.CentralMessagesRtn(21, 'Message...'); // 21 = OK/Cancel MsgBox
// MsgBxDlg1.CentralMessagesRtn(1, 'My message line1' + #13#10 + 'My message line2');

// if MsgBxDlg1.CentralMessagesRtn(21, 'No sizing or centering a message with 21.') = '123' then        //passed string from MaskEdit
// MessageBoxResults := (MsgBxDlg1.CentralMessagesRtn(21, 'No sizing or centering a message with 21.'));  //passed string from MaskEdit

// To check data and modal:
//     if MsgBxDlg1.CentralMessagesRtn(21, 'C*My message 3.') = '123' then // 1 = OK; 2 = OK/Cancel, 21 = OK/Cancel MsgBox
//        if MsgBxDlg1.CheckModal = mrOK then begin      //ok btn pressed with correct data input
//           Label1.Caption := ('123 input data found');
//           //do processing here
//           end
//           else
//           Label1.Caption := ('canceled')              //Cancel button pressed
//           else
//           if MsgBxDlg1.CheckModal = mrOK then begin
//              Label1.Caption := ('123 input data not found');  //ok btn pressed with incorrect data input
//              end
//              else
//              Label1.Caption := ('canceled');          //Cancel button pressed

//Check results using these:
//Note - if check MsgBxDlg1.CheckModal = mrOK, then a subsequent test for MsgBxDlg1.CheckModal will not work for mrCancel, so use:
//     if MsgBxDlg1.CheckModal = mrOK then     //mrOK or mrCancel
//        Label1.Caption := ('mrOK pressed');
//     if MsgBxDlg1.CheckModal <> mrOK then     //mrOK or mrCancel
//        Label1.Caption := ('mrCancel pressed');

// -- or --

//     case MsgBxDlg1.CheckModal of
//          mrOK : begin
//                 Label1.Caption := ('mrOK pressed');
//                 end;
//          mrCancel : begin
//                     Label1.Caption := ('mrCancel pressed');
//                     end;
//     end;

//DON'T USE THIS TO CHECK RESULTS  <------------
// if MsgBxDlg1.ModalResult = mrOK then
//**********************************************************************************************************

unit MsgBxDlgUnit1;

{$MODE Delphi}
////{$mode objfpc}{$H+}

interface

uses
    Windows, Classes, SysUtils, FileUtil, BGRAButton, Forms,
    Controls, Graphics, ExtCtrls, StdCtrls, MaskEdit;

type
  { TMsgBxDlg1 }
  TMsgBxDlg1 = class(TForm)
    CentralMsgBxButtonOK: TBGRAButton;
    CentralMsgBxButtonOK2: TBGRAButton;
    CentralMsgBxButtonCancel: TBGRAButton;
    CentralMsgBxLabel: TLabel;
    CentralMsgBxLabelLabelWarning: TLabel;
    CentralMsgBxLabelPanel1: TPanel;
    CentralMsgBxLabelPanel2: TPanel;
    Image3: TImage;
    MsgBxMaskEdit1: TMaskEdit;
    OkCancelPanel: TPanel;
    OkPanel: TPanel;
    ShowPanel1: TPanel;
    Show1: TCheckBox;

    procedure CentralMsgBxButtonCancelClick(Sender: TObject);
    procedure CentralMsgBxButtonOK2Click(Sender: TObject);
    procedure CentralMsgBxButtonOKClick(Sender: TObject);
    procedure CentralMsgBxLabelPanel2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure MsgBxMaskEdit1KeyPress(Sender: TObject; var Key: char);
    procedure Show1Click(Sender: TObject);

    function ButtonParams(OKBtnNm, CNBtnNm: string): boolean;
    function CentralMessagesRtn(OkCancelOrOkBtn1: integer; MessageLn1: string): string;
    function MsgBoxParams(BxColor, BxFontColor: TColor): boolean;
    function ResetBxBtn: boolean;
    procedure ShowPanel1Click(Sender: TObject);

  private
    { private declarations }
  public
    { public declarations }
    function CheckModal: integer;

    const Show1Checked : boolean = False;
  end;

var
  MsgBxDlg1: TMsgBxDlg1;
    ClearMsgBxMaskEdit : boolean;
    SaveResult : string;
    OkCancelOrOkBtn: integer;
    MessageLn: string;

implementation

{$R *.frm}
uses unit1;

{ TMsgBxDlg1 }

//FormCreate
procedure TMsgBxDlg1.FormCreate(Sender: TObject);
begin
////     DisableProcessWindowsGhosting;     //in FormCreate
     ClearMsgBxMaskEdit := True;
end;

//CenterMouse rtn
function CenterMouse(Control: TControl; FromLeft, FromTop : integer): boolean;
var Center: TPoint;
begin
//     if CntrMouse = False then
//        EXIT;                                 //EXIT

     Center := Control.ClientOrigin;
     Inc(Center.X, Control.ClientWidth  div 2);
     Inc(Center.Y, Control.ClientHeight div 2);
     Inc(Center.X, FromLeft);
     Inc(Center.Y, FromTop);
     Mouse.CursorPos := Center;

     Result := True;
//     CenterMouse(Button1, 0, 0);
end;

//FormShow
procedure TMsgBxDlg1.FormShow(Sender: TObject);
begin
     //this used to be in CentralMessagesRtn but TLabel would not give correct height until FormShow
     try
       CentralMsgBxLabel.Alignment := taLeftJustify;    // IF ERROR HERE, RUN PROGRAM OUT OF IDE
     except
     end;

     try
       if ClearMsgBxMaskEdit = True then
          MsgBxMaskEdit1.Clear;
     except
     end;

     try
       ClearMsgBxMaskEdit := True;
     except
     end;

     if OkCancelOrOkBtn <> 21 then begin   //21 = msgbox
        //process message
	try
          MsgBxMaskEdit1.Visible := False;    // IF ERROR HERE, RUN PROGRAM OUT OF IDE
          Show1.Visible := False;
          ShowPanel1.Visible := False;
	except
	end;

        if (copy(MessageLn, 1, 2) = 'C>') or (copy(MessageLn, 1, 2) = 'C*') then begin
           if copy(MessageLn, 1, 2) = 'C*' then
              CentralMsgBxLabel.Alignment := taCenter;    // IF ERROR HERE, RUN PROGRAM OUT OF IDE

           CentralMsgBxLabel.Constraints.MaxWidth := 0;
           CentralMsgBxLabel.Constraints.MaxWidth := 0;
           CentralMsgBxLabel.WordWrap := False;
           CentralMsgBxLabel.Caption := copy(MessageLn, 3, 255); // get around CentralMsgBxLabel> and CentralMsgBxLabel*
           CentralMsgBxLabel.Refresh;
           CentralMsgBxLabelPanel1.Width := CentralMsgBxLabel.Width + 25; //was 27
           CentralMsgBxLabelPanel2.Width := CentralMsgBxLabel.Width + 18; //was 20
           MsgBxDlg1.Width := CentralMsgBxLabelPanel1.Width - 1;
           end
           else begin
           CentralMsgBxLabel.Constraints.MaxWidth := 281;
           CentralMsgBxLabelPanel1.Width := 310;   //set back to origional width
           CentralMsgBxLabelPanel2.Width := 303;   //set back to origional width
           CentralMsgBxLabel.WordWrap := True;
           CentralMsgBxLabel.Refresh;
           CentralMsgBxLabel.Caption := copy(MessageLn, 1, 255);
           MsgBxDlg1.Width := CentralMsgBxLabelPanel1.Width - 1;

           if copy(MessageLn, 1, 2) = 'C*' then begin
              CentralMsgBxLabel.Caption := copy(MessageLn, 3, 255); // get around CentralMsgBxLabel*
              CentralMsgBxLabel.Alignment := taCenter;
              end;
           end;

        CentralMsgBxLabelPanel2.Height := CentralMsgBxLabel.Height + 80;
        OkCancelPanel.Top := CentralMsgBxLabelPanel2.Height - 27;
        OkPanel.Top := CentralMsgBxLabelPanel2.Height - 27;
        CentralMsgBxLabelPanel1.Height := CentralMsgBxLabelPanel2.Height + 7;
        MsgBxDlg1.Height := CentralMsgBxLabelPanel1.Height - 1;

        MsgBxDlg1.Top  := (Screen.Height div 2) - (MsgBxDlg1.Height div 2);
        MsgBxDlg1.Left := (Screen.Width div 2) - (MsgBxDlg1.Width div 2);
        MsgBxDlg1.Top  := (Form1.Top) + ((Form1.Height div 2) - (MsgBxDlg1.Height div 2));
        MsgBxDlg1.Left := (Form1.Left) + ((Form1.Width div 2) - (MsgBxDlg1.Width div 2));
        OkPanel.Left := abs((CentralMsgBxLabelPanel2.Width div 2) - (OkPanel.Width div 2));
        OkCancelPanel.Left := ((CentralMsgBxLabelPanel2.Width div 2) - (OkCancelPanel.Width div 2));
        end
        else begin
        //process messagebox
        MsgBxMaskEdit1.Visible := True;
        Show1.Visible := True;
        ShowPanel1.Visible := True;
        CentralMsgBxLabel.Constraints.MaxWidth := 281;
        CentralMsgBxLabel.Constraints.MaxWidth := 281;
        CentralMsgBxLabelPanel1.Width := 310;   //set back to origional width
        CentralMsgBxLabelPanel2.Width := 303;   //set back to origional width
        CentralMsgBxLabel.WordWrap := True;
        CentralMsgBxLabel.Refresh;
        CentralMsgBxLabel.Caption := copy(MessageLn, 1, 255);
        MsgBxDlg1.Width := CentralMsgBxLabelPanel1.Width - 1;

        if copy(MessageLn, 1, 2) = 'C*' then begin
           CentralMsgBxLabel.Caption := copy(MessageLn, 3, 255); // get around CentralMsgBxLabel*
           CentralMsgBxLabel.Alignment := taCenter;
           end;

        MsgBxMaskEdit1.Top := CentralMsgBxLabel.Top + CentralMsgBxLabel.Height + 7;

        CentralMsgBxLabelPanel2.Height := CentralMsgBxLabel.Height + 109;
        OkCancelPanel.Top := CentralMsgBxLabelPanel2.Height - 27;
        OkPanel.Top := CentralMsgBxLabelPanel2.Height - 27;
        CentralMsgBxLabelPanel1.Height := CentralMsgBxLabelPanel2.Height + 7;
        ShowPanel1.Top := OkCancelPanel.Top + 2;
        Show1.Top := OkCancelPanel.Top + 2;
        MsgBxDlg1.Height := CentralMsgBxLabelPanel1.Height - 1;

        MsgBxDlg1.Top  := (Screen.Height div 2) - (MsgBxDlg1.Height div 2);
        MsgBxDlg1.Left := (Screen.Width div 2) - (MsgBxDlg1.Width div 2);
        MsgBxDlg1.Top  := (Form1.Top) + ((Form1.Height div 2) - (MsgBxDlg1.Height div 2));
        MsgBxDlg1.Left := (Form1.Left) + ((Form1.Width div 2) - (MsgBxDlg1.Width div 2));
        OkPanel.Left   := abs((CentralMsgBxLabelPanel2.Width div 2) - (OkPanel.Width div 2));
        OkCancelPanel.Left := ((CentralMsgBxLabelPanel2.Width div 2) - (OkCancelPanel.Width div 2));
        end;

     case OkCancelOrOkBtn of                   // 1 = OK; 2 = OK/Cancel, 21 = OK/Cancel MsgBox
          1 : begin
              OkCancelPanel.Visible := False;  // btns on panal bcse will not go invisible
              OkPanel.Visible := True;
              end;
          2 : begin
              OkCancelPanel.Visible := True;
              OkPanel.Visible := True;
              end;
          21: begin
              OkCancelPanel.Visible := True;
              OkPanel.Visible := True;
              end;
      end;

     CenterMouse(OkCancelPanel, 0, 0);

     MsgBxDlg1.Repaint;
end;

procedure TMsgBxDlg1.FormActivate(Sender: TObject);
const OnOne : boolean = True;
begin
      if OnOne = True then begin
         MsgBxMaskEdit1.PasswordChar := '*';  //this must be set
         MsgBxMaskEdit1.Font.Size := 14;
         OnOne := False;
         end;

      if Show1Checked = True then
         Show1.Checked := True;

Form1.BringToFront;
end;

function TMsgBxDlg1.CheckModal: integer;
begin
     Result := MsgBxDlg1.ModalResult;
     MsgBxDlg1.ModalResult := 0;
end;

//Reset button captions
function TMsgBxDlg1.ResetBxBtn: boolean;
begin
     CentralMsgBxButtonOK.Caption := 'OK';
     CentralMsgBxButtonOK2.Caption := 'OK';
     CentralMsgBxButtonCancel.Caption := 'Cancel';

     MsgBxMaskEdit1.Color := clWhite;
     MsgBxMaskEdit1.Font.Color := clNavy;

     CentralMsgBxButtonOK.Repaint;
     CentralMsgBxButtonOK2.Repaint;
     CentralMsgBxButtonCancel.Repaint;
     MsgBxMaskEdit1.Repaint;

     Show1Checked := False;   //reset show CB
     Show1.Checked := False;  //reset show

     Result := True;
end;

procedure TMsgBxDlg1.ShowPanel1Click(Sender: TObject);
begin
     if Show1.Checked = False then begin
        Show1.Checked := True;
        end
        else begin
        Show1.Checked := False;
        end;
end;

procedure TMsgBxDlg1.Show1Click(Sender: TObject);
begin
     if Show1.Checked = False then begin
        MsgBxMaskEdit1.PasswordChar := '*';
        MsgBxMaskEdit1.Font.Size := 14;
        end
        else begin
        MsgBxMaskEdit1.PasswordChar := #0;
        MsgBxMaskEdit1.Font.Size := 8;
        end;

//????     MsgBxMaskEdit1.SetFocus;
     MsgBxMaskEdit1.SelStart := 10000;
end;

//Button captions
function TMsgBxDlg1.ButtonParams(OKBtnNm, CNBtnNm: string): boolean;
begin
     Result := True;

     CentralMsgBxButtonOK.Caption := OKBtnNm;
     CentralMsgBxButtonOK2.Caption := OKBtnNm;
     CentralMsgBxButtonCancel.Caption := CNBtnNm;
end;

//Box font colors
function TMsgBxDlg1.MsgBoxParams(BxColor, BxFontColor: TColor): boolean;
begin
     Result := True;
     MsgBxMaskEdit1.Color := BxColor;
     MsgBxMaskEdit1.Font.Color := BxFontColor;
end;

procedure TMsgBxDlg1.MsgBxMaskEdit1KeyPress(Sender: TObject; var Key: char);
begin
     if Key = Chr(VK_RETURN) then begin
        Key := #0;
        CentralMsgBxButtonOKClick(nil);
        end;
end;

function TMsgBxDlg1.CentralMessagesRtn(OkCancelOrOkBtn1: integer; MessageLn1: string): string;
begin
     OkCancelOrOkBtn := OkCancelOrOkBtn1;
     MessageLn := MessageLn1;
     //form now adjusted in Form.Show

////     CenterMouse(OkCancelPanel, 0, 0);    //moved to OnShow
     MsgBxDlg1.ModalResult := 0;
     MsgBxDlg1.ShowModal;
     SaveResult := MsgBxMaskEdit1.Text;
     MsgBxMaskEdit1.Clear;       //.Text := '';
     Result := SaveResult;
end;

//OK button
procedure TMsgBxDlg1.CentralMsgBxButtonOKClick(Sender: TObject);
begin
     MsgBxDlg1.ModalResult := mrOK;
     ResetBxBtn;
end;

//Cancel button
procedure TMsgBxDlg1.CentralMsgBxButtonCancelClick(Sender: TObject);
begin
     MsgBxDlg1.ModalResult := mrCancel;
     ResetBxBtn;
end;

//OK button
procedure TMsgBxDlg1.CentralMsgBxButtonOK2Click(Sender: TObject);
begin
     MsgBxDlg1.ModalResult := mrOK;
     ResetBxBtn;
end;

procedure TMsgBxDlg1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
     CentralMsgBxLabelLabelWarning.Caption := 'Warning';
     Show1.Checked := False;
end;

//Move form with CentralMsgBxLabelPanel2
procedure TMsgBxDlg1.CentralMsgBxLabelPanel2MouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     ReleaseCapture;
     SendMessage(MsgBxDlg1.Handle, WM_SYSCOMMAND, 61458, 0) ;
end;

end.

